> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tensorpix.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch individual enhanced image



## OpenAPI

````yaml https://backend.tensorpix.ai/api/schema/ get /api/enhanced-images/{id}/
openapi: 3.1.0
info:
  title: TensorPix OpenAPI Documentation
  version: 1.1.0
  termsOfService: https://tensorpix.ai/terms-conditions
  contact:
    name: TensorPix Dev Team
    email: devs@tensorpix.ai
servers:
  - url: https://backend.tensorpix.ai
security: []
externalDocs:
  url: https://docs.tensorpix.ai
  description: Check out the full TensorPix documentation.
paths:
  /api/enhanced-images/{id}/:
    get:
      tags:
        - enhanced-images
      summary: Fetch individual enhanced image
      operationId: enhanced_images_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnhancedImage'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthenticatedError'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenError'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundError'
          description: ''
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitError'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    EnhancedImage:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: Media name
          maxLength: 1024
        original_image:
          type: integer
        width:
          type:
            - integer
            - 'null'
          maximum: 16384
          minimum: 32
          description: Width in pixels of the image.
        height:
          type:
            - integer
            - 'null'
          maximum: 16384
          minimum: 32
          description: Height in pixels of the image.
        size:
          type:
            - integer
            - 'null'
          maximum: 9223372036854776000
          minimum: 1
          format: int64
          description: Size of the media in bytes
        file:
          type:
            - string
            - 'null'
          format: uri
          description: URL to the image file.
        owner:
          type: string
          format: email
          title: Email address
          readOnly: true
          description: Email of the user who enhanced the image.
        thumbnail:
          type: string
          format: uri
          readOnly: true
          description: URL to a thumbnail of the enhanced image.
      required:
        - id
        - name
        - original_image
        - owner
        - thumbnail
    UnauthenticatedError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    ForbiddenError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    NotFoundError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    RateLimitError:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
  securitySchemes:
    tokenAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````